// projet sources de xlcdlib200 : Arlotto 2007
// Modification pour compatibilit avec les PICDEM2+ cms (Vertes)
// PICDEM2+ Rouge : LCD sur PORTD (data lower D0-D3) et PORTA (control RA1-RA3)
// PICDEM2+ Verte : LCD sur PORTD uniquement (data lower D0-D3 et control RD4-RD6) plus alim lcd sur RD7
// En gnral pour s'adapter  d'autres cablge de lcd, il suffira de modifier xlcd.h et openxlcd.c
// pour la mise au point :
// on utilise le projet classique avec main 
// menu build option -> porjcet : build normal target
// pour gnrer une librairie :
// Configurer xlcd.h pour le cablge utiliser (Vert ou Rouge)
// enlever ce fichier du projet
// compiler en utilisant le large memory model
// et EN INVOQUANT MPLIB (menu build option : build library target)
// ensuite rcuprer les fichiers .lib et xlcd.h
// renomer le .lib en xlcdVVV.lib et xlcd.h en xlcdVVV.h
#include <p18cxxx.h>
#include <stdio.h>

#include "XLCD/xlcd.h"



void main (void)
{
  
  char mybuffer[]="coucou" ;
  int cpt=0;
  char  b ;
  b = 0 ;
  TRISB = 0;
  PORTB = cpt;
 
 OpenXLCD(OPEN_PICDEM_LCD);
  

clearXLCD();
stdout = _H_USER ;

 putsXLCD(mybuffer);
gotoXLCD(LCD_LINE_TWO+3);
printf ( "bonjour" );

  while (1)
    {
      if (PORTAbits.RA4 == 0 )
      {
        if (b==0)
        {
        cpt++;
        WriteCmdXLCD(GOTO_LINE_ONE+sizeof(mybuffer)+1);
        printf("cpt=%02d",cpt);
        PORTB = cpt;
        b=1;
        }
      } else
      { b = 0 ; }
     
     
    }
}
/*
int _user_putc (char c)
{
 WriteDataXLCD(c);
 return c ;
}*/
